Looks like no one’s replied in a while. To start the conversation again, simply ask a new question.

Question:

Question: Safari not supported

Why is Safari not supported according to the us post office, usps tracking, they said that I would have to use a ‘supported browser’ like Chrome. Can this compatibility be addressed so I can continue to use Safari?

Posted on

Reply

Page content loaded

Apr 21, 2018 9:13 AM in response to trump_maga10 In response to trump_maga10

USPS.com has a red banner warning regarding outdated browers. You can check yours with this page:


https://www.usps.com/browser-check/


However, I'm pretty sure that Eric's suspicions are correct and your have an obsolete Safari version. I just checked with my 2012 MacBook Pro running OS 10.13.4 and Safari 11.1 and get this:

User uploaded file

Apr 21, 2018 9:13 AM

Reply Helpful
User profile for user: trump_maga10

Question: Safari not supported